| Flutter iOS Embedder |

Instance Methods | Properties | List of all members
FlutterSemanticsScrollView Class Reference

`#import <FlutterSemanticsScrollView.h>`

Inheritance diagram for FlutterSemanticsScrollView:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE
(instancetype) | - initWithFrame:
(instancetype) | - initWithCoder:
(instancetype) | - initWithSemanticsObject:

## Properties
SemanticsObject * | semanticsObject

## Detailed Description

A UIScrollView to represent Flutter scrollable in iOS accessibility services.

This class is hidden from the user and can't be interacted with. It sends all of selector calls from accessibility services to the owner SemanticsObject.

Definition at line 21 of file FlutterSemanticsScrollView.h.

## Method Documentation

## ◆ initWithCoder:

- (instancetype) initWithCoder: |  | (NSCoder *) | NS_UNAVAILABLE |

## ◆ initWithFrame:

- (instancetype) initWithFrame: |  | (CGRect) | NS_UNAVAILABLE |

## ◆ initWithSemanticsObject:

- (instancetype) initWithSemanticsObject: |  | (SemanticsObject*) | semanticsObject |

Definition at line 14 of file FlutterSemanticsScrollView.mm.

14 :(SemanticsObject*)semanticsObject {
15 self = [super initWithFrame:CGRectZero];
16 if (self) {
17 _semanticsObject = semanticsObject;
18 }
19 return self;
20 }

References semanticsObject.

## ◆ NS_UNAVAILABLE

- (instancetype) NS_UNAVAILABLE |  |  |

## Property Documentation

## ◆ semanticsObject

- (SemanticsObject*) semanticsObject
| readwritenonatomicweak

Definition at line 23 of file FlutterSemanticsScrollView.h.

Referenced by initWithSemanticsObject:.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterSemanticsScrollView.h
- shell/platform/darwin/ios/framework/Source/FlutterSemanticsScrollView.mm

FlutterSemanticsScrollView::semanticsObject
SemanticsObject * semanticsObject
Definition: FlutterSemanticsScrollView.h:23
SemanticsObject
Definition: SemanticsObject.h:30